Bug 636709 - Resource tree: should not be able to toggle favorites flag while on a folder
Resource tree: should not be able to toggle favorites flag while on a folder
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Sunil Kondkar
:
Depends On:
Blocks: rhq4 gwt-tree
  Show dependency treegraph
 
Reported: 2010-09-22 21:29 EDT by Corey Welton
Modified: 2013-09-02 03:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:16:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-09-22 21:29:36 EDT
Description of problem:
If user is navigating a resource tree and clicks on a folder, hitting the favorites badge toggles - but not for the resource perhaps expected -- it toggles the favorites flag for the parent (or perhaps top-level) resource

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Navigate to a platform's resource tree.  Toggle the favorites badge.
2.  Click one of the folders underneath the platform -- for example, the "Hosts File" folder
3.  Click the favorites badge.
4. View results
  
Actual results:
The favorites flag gets toggled, but per the messages tray, the resource that is getting 'favorited' is the parent platform.  The confusion is compounded, in this case, since both the folder and the resource contained therein are named "Hosts File"

Expected results:
* Cannot toggle favorites when a folder is highlighted -OR-
* Perhaps clicking favorites while on a folder toggles the favorites flag for ALL resources within the folder?  Might be useful... and it can always be unselected.

Additional info:
Comment 1 Jay Shaughnessy 2011-02-14 10:26:48 EST
The favorites flag is no longer presented for tree aggregates (autogroup or autocluster nodes).  This didn't really make sense given the temporary nature of the group membership. And led to fuzzy semantics.  Please re-test.
Comment 2 Mike Foley 2011-04-21 14:39:19 EDT
Verified that the favorites badge is not displayed for folders, and is displayed for items in the tree.  Tested folders, in general.  Verified.
Comment 3 Heiko W. Rupp 2013-09-02 03:16:30 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.